%define checkout 20170305
%define gh_commit 044de73c01c35385df0105f6b387bec5d5317ce7
%define gh_short %(c=%{gh_commit}; echo ${c:0:7})

Name:           dovecot-libsodium-plugin
Version:        0
Release:        1.%{checkout}git%{gh_short}%{?dist}
Summary:        Libsodium password hashing schemes plugin for dovecot
Group:          Applications/Internet
License:        GPLv3
URL:            https://github.com/LuckyFellow/dovecot-libsodium-plugin
Source:         https://github.com/LuckyFellow/dovecot-libsodium-plugin/archive/%{gh_commit}.zip

Provides:       dovecot-libsodium-plugin = %{version}-%{release}

Requires:       dovecot
Requires:       libsodium
BuildRequires:  dovecot-devel
BuildRequires:  libsodium-devel
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  libtool

%description
Libsodium password hashing schemes plugin for dovecot

%prep
%setup -q -n dovecot-libsodium-plugin-%{gh_commit}

%build
./autogen.sh
./configure --with-moduledir=/usr/libexec/dovecot/ --with-dovecot=%{_usr}/%{_lib}/dovecot
make %{?_smp_mflags}

%install
make install DESTDIR=$RPM_BUILD_ROOT

%files
%doc README.md
%license LICENSE
%{_libexecdir}/dovecot/auth/libsodium_plugin*

%changelog
* Sun Mar 05 2017 mh <mh+fedora@scrit.ch> - 0-1
  initial package
